summaryrefslogtreecommitdiff
path: root/t/lisp6.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/lisp6.sh')
-rwxr-xr-xt/lisp6.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/t/lisp6.sh b/t/lisp6.sh
index 9635ea275..1e3bc4186 100755
--- a/t/lisp6.sh
+++ b/t/lisp6.sh
@@ -38,6 +38,9 @@ AM_PATH_LISPDIR
AC_OUTPUT
EOF
+# Avoid possible spurious influences from the environment.
+want_two=; unset want_two
+
echo "(provide 'am-one)" > am-one.el
echo "(require 'am-one)" > am-two.el
echo "(require 'am-one)" > am-three.el
@@ -46,7 +49,9 @@ $ACLOCAL
$AUTOCONF
$AUTOMAKE --add-missing
-./configure "--with-lispdir=`pwd`/lisp"
+cwd=$(pwd) || fatal_ "getting current working directory"
+
+./configure --with-lispdir="$cwd/lisp"
$MAKE
test -f am-one.elc
@@ -70,7 +75,7 @@ test ! -f am-two.elc
test ! -f am-three.elc
test ! -f elc-stamp
-./configure "--with-lispdir=`pwd`/lisp" want_two=1
+./configure --with-lispdir="$cwd/lisp" want_two=1
$MAKE
test -f am-one.elc